;; Copyright 2010 Kevin Ryde

;; This file is part of miscbits-el.
;;
;; miscbits-el is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; miscbits-el is distributed in the hope that it will be useful, but
;; WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
;; Public License for more details.
;;
;; You should have received a copy of the GNU General Public License along
;; with miscbits-el; see the file COPYING.  Failing that, go to
;; <http://www.gnu.org/licenses/>.

(progn
  (require 'help-mode)
  help-xref-url-regexp)

(progn
  (require 'help)
  help-xref-url-regexp)


egrep -nH -e '[^"`][(][a-z-]+[)][A-Z]' -r /down/emacs/lisp/*.el /down/emacs/lisp/*/*.el /usr/share/emacs/site-lisp

(grep "(find /down/emacs/lisp -name \\*.el -print0 ; find /usr/share/emacs/site-lisp -name \\*.el -print0) | xargs -0 grep -nH '<http|<ftp|<sftp'")

(grep "(find /down/emacs/lisp -name \\*.el -print0 ; find /usr/share/emacs/site-lisp -name \\*.el -print0) | xargs -0 fgrep -nH '.invalid'")

;;-----------------------------------------------------------------------------

(progn
  (add-to-list 'load-path (expand-file-name "."))
  (require 'my-byte-compile)
  (my-byte-compile))
(progn
  (add-to-list 'load-path (expand-file-name "."))
  (require 'my-byte-compile)
  (my-show-autoloads))

