#!/bin/sh

# Copyright 2009, 2010 Kevin Ryde.
#
# This file is part of miscbits-el.
#
# miscbits-el is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 3, or (at your option) any later
# version.
#
# miscbits-el is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with miscbits-el; see the file COPYING.  Failing that, go to
# <http://www.gnu.org/licenses/>.

set -x

SITE_LISP=/so/emacs20/emacs-20.7/inst/share/emacs/site-lisp

cd ..
TOPDIR="`pwd`"

FILES="*.el"

# FILES="compilation-weblint.el"

cd $SITE_LISP
for i in $FILES; do
  b=`basename $i .el`
  (
    cd $TOPDIR/tests
    for j in t-$b*.el; do
      if test -e $j; then
        if emacs20 -q -no-site-file -batch -l $j -f my-run-test; then
          echo ok
        else
          echo $TOPDIR/tests/$j:1:1: fail
        fi
      fi
    done
  )
  echo ' '
  echo ' '
done
