;; Copyright 2011 Kevin Ryde.

;; This file is part of miscbits-el.
;;
;; miscbits-el is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; miscbits-el is distributed in the hope that it will be useful, but
;; WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
;; Public License for more details.
;;
;; You should have received a copy of the GNU General Public License along
;; with miscbits-el; see the file COPYING.  Failing that, go to
;; <http://www.gnu.org/licenses/>.




;;-----------------
;; unload-feature vs make-variable-buffer-local

(defvar unload-local-var--text 123)
(make-variable-buffer-local 'unload-local-var--text)

(makunbound 'unload-local-var--text)
(boundp 'unload-local-var--text)

;; (switch-to-buffer "xyz")
;; (add-to-list 'load-path (expand-file-name "."))
;; (require 'unload-local-var)
;; (featurep 'unload-local-var)
;; (unload-feature 'unload-local-var)
;; (boundp 'unload-local-var--text)
;; (local-variable-if-set-p 'unload-local-var--text)
;; (with-current-buffer "*scratch*" (boundp 'unload-local-var--text))
;; (with-current-buffer "xyz" (boundp 'unload-local-var--text))

(provide 'unload-local-var)
